#include <iostream>
#include <algorithm>

using namespace std;

int main(){
  ios_base::sync_with_stdio(false); cin.tie(0);

  int n,l; cin>>n>>l;

  int result = -1;

  for (int i = 0;i<n; ++i){
    int num; cin>>num;

    if (result == -1 && num <= l){
      result = i+1;
    }
  }

  cout<<result;

  return 0;
}